'''
Created on Feb 11, 2017

@author: tkl
'''
import os
import sys
import getopt

def main(argv):
    options, _ = getopt.getopt(argv, "s:", ["source="])
    source_list = []
    for opt, args in options:
        if opt in ("-s", "--source"):
            source_list.append(args)

    source_str = ""
    for source in source_list:
        source_str += source + " "

    os.system("pylint " + source_str + " -r n --msg-template=\"{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}\" > pylint.txt")
    return 0

if __name__ == "__main__":
    sys.exit(main(sys.argv[1:]))
